namespace Brizco.Domain.Entities.Task;

public class TaskDay : ApiEntity
{
    public TaskDay()
    {

    }

    internal TaskDay(DayOfWeek dayOfWeek, Guid shiftId)
    {
        DayOfWeek = dayOfWeek;
        TaskId = shiftId;
    }

    public DayOfWeek DayOfWeek { get; internal set; }

    public Guid TaskId { get; internal set; }
    public Task? Task { get; internal set; }
}